Bug 317151 - pirut hangs forever on empty search (eating CPU only)
pirut hangs forever on empty search (eating CPU only)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-03 13:43 EDT by Doncho N. Gunchev
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-14 22:02:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doncho N. Gunchev 2007-10-03 13:43:04 EDT
Description of problem:
If I search for empty string in pirut it hangs forever (it does not even 
redraws) and eats the whole CPU.

Version-Release number of selected component (if applicable):
pirut-1.3.22-1.fc8

How reproducible:
always

Steps to Reproduce:
1. start pirut
2. go to the search tab
3. hit search without entering single letter to search for

Actual results:
Hangs and eats the CPU forever, kill -9 is needed.

Expected results:
should just list all available/installed or both packages.

Additional info:
The previous version has this problem too. Here's the console output I got:
--- cut ---
Loading "refresh-updatesd" plugin
Loading "fastestmirror" plugin
Loading mirror speeds from cached hostfile
Loading mirror speeds from cached hostfile
Loading mirror speeds from cached hostfile
--- cut ---
I don't have 3 repos enabled, just devel?!?
Comment 1 Jeremy Katz 2007-10-03 14:04:58 EDT
Thanks, fixed in CVS
Comment 2 Doncho N. Gunchev 2007-10-03 15:21:13 EDT
Wow, that was *FAST*! Thank you!
Will test the new one when ready :-)
Comment 3 Doncho N. Gunchev 2007-10-14 20:29:43 EDT
I think this one is fixed. I used to search for '' (empty string) to get a 
list of all packages, now I have to search for '*' though (single star). I 
don't know if anyone else used this empty search 'feature', but figuring out a 
single star does the trick is easy...

Can this be related to bug # 240606?

Note You need to log in before you can comment on or make changes to this bug.